rem *
rem *     Jindolf [ http://sourceforge.jp/projects/jindolf ]
rem *
rem * This is Jindolf build script for cmd.exe on WindowsXP or later.
rem * This will build jindolf.jar from Java sources.
rem * You need SunJDK-1.5 compatible or later.
rem *
rem * Copyright(c) 2008 olyutorskii
rem * $Id: build.cmd 514 2009-05-21 17:52:05Z olyutorskii $


echo on


if not defined JAVA_HOME (
	set JAVA_HOME="C:\Program Files\Java\jdk1.6.0_12"
)
set JAVAC="%JAVA_HOME%\bin\javac.exe"
set JAR="%JAVA_HOME%\bin\jar.exe"


set JARFILE=jindolf.jar
set MANIFTMPL=manifest.mf

set SRCPATH=.\src
set BLDPATH=.\build
set DISTPATH=.\dist

set PKGDIR=jp\sourceforge\jindolf
set RESDIR=%PKGDIR%\resources

set PKGDIRCORE=jp\sourceforge\jindolf\core
set RESDIRCORE=%PKGDIR%\core\resources


rmdir /s /q %BLDPATH%
mkdir %BLDPATH%

rmdir /s /q %DISTPATH%
mkdir %DISTPATH%


set LANGSPEC=-Xlint -deprecation -source 5 -encoding UTF-8
set CODEGEN=-target 5
set PATHASSIGN=-sourcepath %SRCPATH% -d %BLDPATH%
%JAVAC% %LANGSPEC% %CODEGEN% %PATHASSIGN% %SRCPATH%\%PKGDIR%\*.java
%JAVAC% %LANGSPEC% %CODEGEN% %PATHASSIGN% %SRCPATH%\%PKGDIRCORE%\*.java


mkdir %BLDPATH%\%RESDIR%\
xcopy %SRCPATH%\%RESDIR% %BLDPATH%\%RESDIR% /i /s /e /f
xcopy %SRCPATH%\%RESDIRCORE% %BLDPATH%\%RESDIRCORE% /i /s /e /f


%JAR% cmf %MANIFTMPL% %DISTPATH%\%JARFILE% -C %BLDPATH% .\


rem --- EOF ---
